package rootgui.view;

/*
 * Interface required for message passing between the main application and the console output area
 */
public interface IConsoleOutput {		
	public final static int DEBUG = 0, DETAILED = 1, BIOLOGIST = 2, ANY = 100;
	
	/*
	 * 
	 */
	public void setOutputLevel(int level);
	
	/*
	 * 
	 */
	public int getOutputLevel();
	
	/*
	 * 
	 */
	public void printStd(final int srIndex, String message);
	
	/*
	 * 
	 */
	public void printStd(final int srIndex, String message, int messageLevel);

	/*
	 * 
	 */
	public void printlnStd(final int srIndex, String message);
	
	/*
	 * 
	 */
	public void printlnStd(final int srIndex, String message, int messageLevel);

	/*
	 * 
	 */
	public void printErr(final int srIndex, String message);
	
	/*
	 * 
	 */
	public void printErr(final int srIndex, String message, int messageLevel);

	/*
	 * 
	 */
	public void printException(final int srIndex, Exception e);
}
