package rootgui.view;

import java.util.ArrayList;

import javax.swing.DefaultListModel;

import rootgui.model.objects.SimulationModel;

public class SimulationModelList extends DefaultListModel {

	public ArrayList<SimulationModel> data;

	public SimulationModelList() {
		data = new ArrayList<SimulationModel>();
	}

	@Override
	public int size() {
		return data.size();
	}

	@Override
	public boolean isEmpty() {
		return data.size() == 0;
	}

	@Override
	public SimulationModel getElementAt(int index) {
		return data.get(index);
	}

	// public void addElement(SimulationModel element) {
	// data.add(element);
	// fireContentsChanged(this, data.size(), data.size());
	// }
	@Override
	public void setElementAt(Object element, int index) {
		data.set(index, (SimulationModel) element);
		fireContentsChanged(this, index, index);
	}

	@Override
	public void add(int index, Object element) {
		if (index < data.size())
			data.set(index, (SimulationModel) element);
		else if (index == data.size()) {
			data.add((SimulationModel) element);
		} else
			System.err
					.println("SimulationModelList: can't add element at index "
							+ index);
	}

}
