package visualiser.viewpanel.controller;

import java.util.Collection;

import rootgui.model.objects.Cell;
import rootgui.model.IDataProvider;
import rootgui.model.ITabDataProvider;
import rootgui.model.recordstore.Record;

import visualiser.Figure;
import visualiser.viewpanel.model.AbstractModel;
import visualiser.viewpanel.view.CellDrawingPanel;

public interface ICDPController {

	// public void addViewPanelActionListener(ViewPanelActionListener l);
	// //
	// public void removeViewPanelActionListener(ViewPanelActionListener l);
	//
	public ITabDataProvider getModel();

	public Collection<Cell> getCells();

	public void setRenderPanel(CellDrawingPanel view);

	public void setRecord(Record r, boolean initial);

	public Record getRecord();

	/*
	 * Tells the controller what Figure to use and what species index to plot
	 */
	public void setFigure(Figure f, int index);

}
