package rootgui;

import javax.swing.SwingUtilities;

import rootgui.controller.VRootController;
import rootgui.model.VRootModel;
import rootgui.view.DisplayViewFrame;
import simserver.AbsSimServerClient;
import simserver.SimServerClient;
import visualiser.IVisualiser;
import visualiser.Visualiser;

public class Test {
	// private AbsSimServerClient ssc;
	private IVisualiser vis;

	public Test() {
		VRootModel vrModel = new VRootModel();
		VRootController controller = new VRootController();
		// initialise visualisation MVC
		vis = new Visualiser(controller, controller);

		DisplayViewFrame dvf = new DisplayViewFrame(controller, vis);
		vis.setConsoleOutput(dvf);

		controller.addView(dvf);
		controller.setModel(vrModel);
//		controller.setVisualiser(vis);

		try {
			// Start SimServer client
			// ssc = new SimServerClient();
			// controller.setSimServerClient(ssc);
			// controller.setAvailableModelNames(new String[] { "at_ncwd_R12",
			// "AuxinTransportAUX1" });
			// controller.setTimestep(0.5);
			// controller.setTissueFileName("src/Data/geometry.xml");
			// controller.setMaxIterations(10);
			// controller.

		} catch (Exception e) {
			// TODO show on the GUI that the server connection was not
			// established
			dvf.printException(0, e);
			// System.exit(1);
		}
		// TODO load previously saved settings and communicate them to
		// visualiser
	}

	public static void main(String[] args) {
		// TODO code application logic here
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				// Turn off metal's use of bold fonts
				// UIManager.put("swing.boldMetal", Boolean.FALSE);
				new Test();
			}
		});
	}
}
