package rootgui.model;

import rootgui.model.recordstore.Record;

/*
 * Interface allowing access 
 */
public interface ITabHistDataProvider extends ITabDataProvider {
	
	public boolean hasSimID(final int simID);
	
	/*
	 * Returns a Record object of a specified iteration
	 */	
	public Record getRecord(int simID, int iteration);
	
	public int getRecordCount(int simID);
	
	public int getSimulationRunCount();
}
