package rootgui.view.settingspanel;

public interface LeahsSettingsPanelActionListener extends DefaultSettingsPanelActionListener {

	/*
	 * carrierId -> on/off; carrierNames[carrier] = the corresponding label
	 */
	public void fireCarriersChanged(String[] groups, boolean[] OnOff);
	
	public void fireSetGrowth(boolean onOff);
	
	/*
	 * The New Simulation button has been pressed.
	 */
	public void fireNewSimPressed(final int simID);
	
	/*
	 * The Run/Pause button has been pressed
	 */
	public void fireRunSimPressed(final int simID);
	
	public void firePauseSimPressed(final int simID);	
	
	public void fireInitSimButtonPressed();
}
